#!/bin/bash
echo "========================="
echo "|      VOID PLASMA       |"
echo " ------------------------"

# Grub Splash
SPLASH=splash.png

# Image File Output
DATE=$(date +%Y%m%d)
FILENAME="plasma-void"
shift $((OPTIND - 1))

: ${ARCH:=$(uname -m)}

CURRENT=https://repo.voidlinux.eu/current
NONFREE=https://repo.voidlinux.eu/current/nonfree
MULTILIB=https://repo.voidlinux.eu/current/multilib

cp ${SPLASH} ../../data

./mklive.sh \
    -a ${ARCH} \
    -r ${CURRENT} \
    -r ${NONFREE} \
    -r ${MULTILIB} \
    -p "$(grep '^[^#].' plasma.packages)" \
    -T "Plasma Void Alpha3" \
    -o ${FILENAME}-${ARCH}-live-${DATE}.iso
